Package org.eclipse.jface.viewers

## Interface DelegatingStyledCellLabelProvider.IStyledLabelProvider

All Superinterfaces:
  `IBaseLabelProvider`

All Known Implementing Classes:
  `WorkbenchLabelProvider`

Enclosing class:
  DelegatingStyledCellLabelProvider

    public static interface DelegatingStyledCellLabelProvider.IStyledLabelProvider
    extends IBaseLabelProvider

Interface marking a label provider that provides styled text labels and images.

The `DelegatingStyledCellLabelProvider.IStyledLabelProvider` can optionally implement `IColorProvider` and `IFontProvider` to provide foreground and background color and a default font.

### Method Summary

All Methods Instance Methods Abstract Methods
`Image` `getImage​(Object element)` Returns the image for the label of the given element.
`StyledString` `getStyledText​(Object element)` Returns the styled text label for the given element

### Methods inherited from interface org.eclipse.jface.viewers.IBaseLabelProvider

`addListener, dispose, isLabelProperty, removeListener`

### Method Detail

#### getStyledText

    StyledString getStyledText​(Object element)

Returns the styled text label for the given element

Parameters:
  `element` - the element to evaluate the styled string for
Returns:
  the styled string.

#### getImage

    Image getImage​(Object element)

Returns the image for the label of the given element. The image is owned by the label provider and must not be disposed directly. Instead, dispose the label provider when no longer needed.

Parameters:
  `element` - the element for which to provide the label image
Returns:
  the image used to label the element, or `null` if there is no image for the given object